#import copy
#import os
#import sys
#import base64
#import hashlib


#import re
#import pprint
#import docing
import filing
#import lxml.etree as etree
#from lxml.builder import ElementMaker

from nitpo import Nitpo
#from sheets import Sheets
from profile import Profile

#from urllib.parse import urlparse, parse_qs


class Fiken(Nitpo):

    def __init__(self, do_verbose=False):
        """fiken class"""
        super().__init__()
        self.profile = Profile()
        self.do_verbose = do_verbose
        return None

    def make(self, emad):
        fufi = self.profile.fufi_from_emad(emad)
        ken = filing.md5(fufi)
        return ken

    def is_correct(self, ken, emad):
        if len(ken) != 22:
            return False
        made = self.make(emad)
        if ken != made:
            return False
        return True
